Skip to main content
POST
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The application this resource server fronts.

id
string
required

Unique identifier for this resource server.

Body

application/json

XAAResourceServerServiceUpdateRequest updates an existing resource server.

resourceServer
Xaa Resource Server · object | null

XAAResourceServer is a third-party authorization server registered as a permitted cross-app-access audience for one application.

updateMask
string | null

Response

200 - application/json

XAAResourceServerServiceUpdateResponse returns the updated resource server.

XAAResourceServerServiceUpdateResponse returns the updated resource server.

resourceServer
Xaa Resource Server · object | null

XAAResourceServer is a third-party authorization server registered as a permitted cross-app-access audience for one application.